

const double GKSI = 6.67259e-20 * 1e9;
VESSEL *Vessel;
VECTOR3 KAxis;
VECTOR3 n;		  // Node vector.
double Mu_Planet; // Gravitational parameter for planet
double GbodyMass; //mass of Gbody in kg

OBJHANDLE hTargetVessel;
OBJHANDLE hSetGbody; //handle of the current set Gbody (e.g. planet)

VECTOR3 h_targ;   // Angular momentum of target
VECTOR3 R_targ;   // position of target
VECTOR3 V_targ;	  // Velocity of target
VECTOR3 K_targ;   // unit vector K (Z axis) for target orbit.
double h_targ_abs; // magnitude of angular momentum
VECTOR3 I_targ;   // x axis
VECTOR3 J_targ;   // y axis
MATRIX3 TMatrix;	// translation matrix ecliptic to target orbit
VECTOR3 eVec;		// vector of eccentricity
double eVec_abs;
VECTOR3 RefYAxis;
double RefYAxis_abs;
VECTOR3 RPos;			// state vectors of our ship.
VECTOR3 VVel;
VECTOR3 RPosF;      // element order rearranged
VECTOR3 VVelF;      
double inc;			// inclination of our ship.
double LongOfAN;		// Longitude of the ascending node (ours)
double f;			// True anomaly
double ArgOfPeri;	// Argument of periapsis
double ArgOfAscension; // angle since ascension
double EccAnomaly;
double MnAnomaly;
double PeriodT;
double TimeToAscendingNode;
double sma;				// semi-major axis.
double SpMechE;		// Specific mechanical energy
double TimeToDescendingNode;
double TimeOfAdjAOP;   // time of adjusted argument of periapsis
double TimeOfTrueAnomaly;
double ArgOfPeriPlusPI;	// descending node 
double TimeOfAdjAOPPlusPI; // time of descending node

VECTOR3 ReorderVector(const VECTOR3 &Vect);
VECTOR3 AngularMomentum(const VECTOR3 &R, const VECTOR3 &V);
